### Hierarchy

- unknown
  - GetXmrNewSubaddressRequest

## Index

### Constructors

- constructor

### Methods

- serializeBinary
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new GetXmrNewSubaddressRequest(): GetXmrNewSubaddressRequest

- Inherited from jspb.Message.constructor

  #### Returns GetXmrNewSubaddressRequest

## Methods

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:3030

  #### Returns Uint8Array

### toObject

- toObject(includeInstance?: boolean): GetXmrNewSubaddressRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3031

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns GetXmrNewSubaddressRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetXmrNewSubaddressRequest

- - Defined in src/protobuf/grpc_pb.d.ts:3034

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetXmrNewSubaddressRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetXmrNewSubaddressRequest, reader: BinaryReader): GetXmrNewSubaddressRequest

- - Defined in src/protobuf/grpc_pb.d.ts:3035

  #### Parameters

  - ##### message: GetXmrNewSubaddressRequest

  - ##### reader: BinaryReader

  #### Returns GetXmrNewSubaddressRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: GetXmrNewSubaddressRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:3033

  #### Parameters

  - ##### message: GetXmrNewSubaddressRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: GetXmrNewSubaddressRequest ): GetXmrNewSubaddressRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3032

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetXmrNewSubaddressRequest

  #### Returns GetXmrNewSubaddressRequest . AsObject

Generated using TypeDoc